Update an integration by its ID

Requires the INTEGRATION.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
A custom reference assigned to the integration.
namestringRequiredformat: "^.*$"0-256 characters
A custom name assigned to the integration.
descriptionstringRequiredformat: "^.*$"0-256 characters
typeenumRequired
The type of integration.
Allowed values:
linked_resources_configurationslist of objectsRequired
Details from the resources configurations from Solvimon linked to external integration system
statusenum or nullOptional
The status of the integration.
authenticationobjectOptional
The authentication information used for the integration
payment_gatewayobjectOptional
e_invoicingobjectOptional
Integration to do eInvoicing
data_exportobjectOptional
tax_calculationobjectOptional
Integration to calculate tax
email_providerobjectOptional

Email provider integration settings. Applicable when the integration type is EMAIL_PROVIDER.

Response

OK
referencestringformat: "^\S+$"0-256 characters
A custom reference assigned to the integration.
namestringformat: "^.*$"0-256 characters
A custom name assigned to the integration.
descriptionstringformat: "^.*$"0-256 characters
typeenum
The type of integration.
Allowed values:
linked_resources_configurationslist of objects
Details from the resources configurations from Solvimon linked to external integration system
object_typestring or nullRead-only
idstring or nullRead-only
statusenum or null
The status of the integration.
messagestring or nullRead-only
The message associated with the status of the integration.
authenticationobject
The authentication information used for the integration
payment_gatewayobject
e_invoicingobject
Integration to do eInvoicing
data_exportobject
tax_calculationobject
Integration to calculate tax
email_providerobject

Email provider integration settings. Applicable when the integration type is EMAIL_PROVIDER.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error